.TH xcolsel "10 October 1997" xcolsel
.UC

.SH NAME

xcolsel - color mixing and lookup tool for X

.SH SYNOPSIS

.B xcolsel\fP [\fI-toolkitoption\fP] [-near \fIvalue\fP] [-rgbfile \fIname\fP]

.SH DESCRIPTION

The \fBXcolsel\fP program allows color mixing, lookup and conversion
from hex-string to color name representation.

.IP "\fBMixing colors\fP"
.sp
\fBXcolsel\fP uses the rgb color model and provides a red, green and
blue scrollbar for the for color specification. The actual rgb values
a shown decimal near each scrollbar. In addtiton the text input field
located in toolbar shows the hexadecimal \fI#RRGGBB\fP representation
of the color.
The text input accepts also named colors as defined in rgb.txt file.

.IP "\fBGet color name\fP"
.sp
Color in hexadecimal \fI#RRGGBB\fP representation can be converted to
an color name using either the lookup button or by selecting the
corresponding menu entry. The bell indicates that there is no matching
entry in the X color database. By default name lookups are "tolerant"
(see options). Exact matching can be turned on via \fBXcolsel\fP popup
menu.

.IP "\fBQuery for similar colors\fP"
.sp
\fBXcolsel\fP popup menu provides an option for color queries. If this
menu entry is selected all similar entries of the color database that
are similar to the current color are shown in a seperate window. The
bell indicates that no entries were found. The tolerance of queries
can be specified by the "near" command line option.


.SH OPTIONS
In addition to the X Toolkit options, \fIxcolsel\fP understands
these command line options:

.TP
.BI \-near \ value
Specify the tolerance when creating a query of similar colors. If no
tolerance is given at the commandline a default value of 20 is used. 

.TP
.BI \-rgbfile \ name
Specify the location and name of the color database file to use. By
default the color database file of the X-Window system is used:
/usr/lib/X11/rgb.txt.


.SH RESOURCES
\fIXcolsel\fP has a few application resources that allow specific
customizations.

.TP
.BR "rgbFile " (class  \fBRgbFile\fP)
See the \fB\-rgbfile\fP option.
.TP
.BR "near " (class  \fBNear\fP)
See the \fB\-near\fP option.


.SH "WIDGET HIERARCHY"
In the chart below the widget hierarchy is given with class and name
for each widget.
.LP
.nf
Xcolsel  \fIxcolsel\fP
	VendorShellExt  shellext
	Paned  mainpane
		Paned  menupane
			Box  menubox
				MenuButton  color
					SimpleMenu  menu
						SmeBSB  list
						SmeBSB  query
						SmeBSB  lookup
						SmeBSB  exact
						SmeLine  line
						SmeBSB  quit
			Box  toolbox
				Text  text
				Command  name
				Command  clear
			Grip  grip
			Grip  grip
		Form  rgbform
			Form  colorform
				Command  showcolor
			Form  sb_form
				Label  red
				Label  red_label
				Scrollbar  red_scroll
				Label  green
				Label  green_label
				Scrollbar  green_scroll
				Label  blue
				Label  blue_label
				Scrollbar  blue_scroll
		Grip  grip
		Grip  grip

.SH FILES
.TP
.I /usr/lib/X11/rgb.txt
X color names and values.

.br
.SH "SEE ALSO"
X(1), XQueryColor(3X11), Xlib Documentation.
.sp

.SH AUTHOR
Written and maintained by:
.br
Markus Koelblin (Markus.Koelblin@hadiko.de)
.sp
The latest version is currently at:
.br
http://www.uni-karlsruhe.de/~ujda




